# Function getReplyFilters

- getReplyFilters(
  events: TrustedEvent [],
  filter?: Filter ,
  ): (
  | {
  "#a": string[];
  authors?: string[];
  ids?: string[];
  kinds?: number[];
  limit?: number;
  search?: string;
  since?: number;
  until?: number;
  }
  | {
  "#e": string[];
  authors?: string[];
  ids?: string[];
  kinds?: number[];
  limit?: number;
  search?: string;
  since?: number;
  until?: number;
  }
  )[]

- #### Parameters

  - events: TrustedEvent []
  - filter: Filter = {}

  #### Returns (
  | {
  "#a": string[];
  authors?: string[];
  ids?: string[];
  kinds?: number[];
  limit?: number;
  search?: string;
  since?: number;
  until?: number;
  }
  | {
  "#e": string[];
  authors?: string[];
  ids?: string[];
  kinds?: number[];
  limit?: number;
  search?: string;
  since?: number;
  until?: number;
  }
  )[]

  - Defined in packages/util/src/Filters.ts:160